Add companies to a list
curl --request POST \
--url https://openapi.enginy.ai/v1/lists/{listId}/companies \
--header 'Content-Type: application/json' \
--header 'x-api-key: <api-key>' \
--data '
{
"companyIds": [
123
]
}
'import requests
url = "https://openapi.enginy.ai/v1/lists/{listId}/companies"
payload = { "companyIds": [123] }
headers = {
"x-api-key": "<api-key>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {'x-api-key': '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({companyIds: [123]})
};
fetch('https://openapi.enginy.ai/v1/lists/{listId}/companies', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"status": "success",
"message": "<string>",
"data": {
"listAppUrl": "<string>",
"requestedCount": 123,
"addedCount": 123,
"skippedCount": 123
}
}Lists
Add companies to a list
Add companies to a list.
Responses include direct Enginy app URLs when available. The response includes listAppUrl for the target list. MCP agents should return those URLs to users whenever they are present in the response.
Required scope:
LISTS_WRITERate limit: 30 requests per minute
POST
/
v1
/
lists
/
{listId}
/
companies
Add companies to a list
Authorizations
Path Parameters
The list ID
Body
application/json
Array of company IDs to add/remove
Minimum array length:
1⌘I